# Class ProxyHttpTile

java.lang.Object
com.codename1.maps.Tile
com.codename1.maps.ProxyHttpTile

public class ProxyHttpTile extends Tile
This Tile brings the tile image from a given http url.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProxyHttpTile(Dimension tileSize, BoundingBox bbox, String url)`
  Creates an Http Tile

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `paint(Graphics g)`
  Paints the tile on the Graphics Object

  ### Methods inherited from class Tile

  `dimension, fireReady, getBoundingBox, paint, paintTileLoading, pointPosition, position, setPaintLoading, setsTileReadyListener, setTileLoadingImage, setTileLoadingText, toString`
  Modifier and Type
  Method
  Description
  `Dimension`
  `dimension()`
  Gets the tile dimension
  `protected void`
  `fireReady()`
  inform the TileReadyListener that this tile is ready to be painted
  `BoundingBox`
  `getBoundingBox()`
  Gets the tile bounding box.
  `void`
  `paint(Graphics g, int x, int y)`
  Paints the tile on the Graphics Object translated to the given x, y, This method paints the tile image if available or will call paintTileLoading
  `void`
  `paintTileLoading(Graphics g)`
  This method paints a "tile loading" on the Graphics if boolean paint(Graphics g) returned false.
  `Point`
  `pointPosition(Coord point)`
  Returns the x, y point of the given coordinate relative to this tile
  `Coord`
  `position(int posX, int posY)`
  Returns the Coordinate of the given x, y position on the tile
  `static void`
  `setPaintLoading(boolean toPaint)`
  This flag indicates if the Tile should paint a Loading image or Text or simply not do any painting if a map image is not ready for painting
  `void`
  `setsTileReadyListener(ActionListener listener)`
  Sets a Listener to be notified when the tile is fireReady to be painted
  `static void`
  `setTileLoadingImage(Image tileLoadingImage)`
  Sets a static image that will be drawn on the map if the tile image is not available yet.
  `static void`
  `setTileLoadingText(String tileLoadingText)`
  Sets a static text to paint.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ProxyHttpTile

    public ProxyHttpTile(Dimension tileSize, BoundingBox bbox, String url)

    Creates an Http Tile

    ###### Parameters

    - `tileSize`: the tile size

    - `bbox`: the tile bounding box

    - `url`: the url to bring the image from

- ## Method Details

  - ### paint

    public boolean paint(Graphics g)

    Paints the tile on the Graphics Object

    ###### Parameters

    - `g`: Graphics object to paint on.

    ###### Returns

    true if painting succeeded.

    Overrides:
      `paint` in class `Tile`